All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.visuals
Interface BorderInterface

All Known Implementing Classes:
  BaseBorder, Border, CompositeBorder, TabBorder, TextBorder, ToolbarBorder, Windows95Border

    public interface BorderInterface

BorderInterface is an interface that provides the necessary methods to draw a border on a visual component in a specified rectangle.

See Also:
  `Border`

Field Summary
`static int` | `BOTTOM_LEFT` Bottom/left lightSource
`static int` | `BOTTOM_RIGHT` Bottom/right lightSource
`static int` | `DEFAULT` Default border style shown
`static int` | `LOWERED` Lowered border lightSource
`static int` | `NONE` No border style shown
`static int` | `RAISED` Raised border lightSource
`static int` | `TOP_LEFT` Top/left lightSource
`static int` | `TOP_RIGHT` Top/right lightSource

Method Summary
`abstract void` | `drawInRect(java.awt.Component comp, java.awt.Graphics g, int x, int y, int width, int height)` Draw the Border within the specified rectangle on the specified component.
`abstract void` | `drawInRect(java.awt.Graphics g, int x, int y, int width, int height)` Draw the Border within the specified rectangle.
`abstract int` | `getBorderWidth()` Get the border width.
`abstract java.awt.Insets` | `getInsets()` Method to get the Insets of this Border.
`abstract java.awt.Insets` | `getInsets(java.awt.Component comp)` Method to get the Insets of this Border on the specified component.
`abstract int` | `getLightSource()` Get the Light Source of the Border.
`abstract int` | `getStyle()` Get the style of the Border.
`abstract void` | `setBorderWidth(int width)` Set the border width.
`abstract void` | `setLightSource(int ltSrc)` Set the type of the Border: RAISED or LOWERED
`abstract void` | `setStyle(int s)` Set the style of the Border: NONE or DEFAULT or some id set by a implementation

Field Detail

### NONE

    static final int NONE

  No border style shown

  See Also:
    Constant Field Values

### DEFAULT

    static final int DEFAULT

  Default border style shown

  See Also:
    Constant Field Values

### RAISED

    static final int RAISED

  Raised border lightSource

  See Also:
    Constant Field Values

### LOWERED

    static final int LOWERED

  Lowered border lightSource

  See Also:
    Constant Field Values

### TOP_LEFT

    static final int TOP_LEFT

  Top/left lightSource

  See Also:
    Constant Field Values

### TOP_RIGHT

    static final int TOP_RIGHT

  Top/right lightSource

  See Also:
    Constant Field Values

### BOTTOM_RIGHT

    static final int BOTTOM_RIGHT

  Bottom/right lightSource

  See Also:
    Constant Field Values

### BOTTOM_LEFT

    static final int BOTTOM_LEFT

  Bottom/left lightSource

  See Also:
    Constant Field Values

Method Detail

### drawInRect

    void drawInRect(java.awt.Component comp,
                    java.awt.Graphics g,
                    int x,
                    int y,
                    int width,
                    int height)

  Draw the Border within the specified rectangle on the specified component.

  Parameters:
    `comp` - the java.awt.Component to draw the border on
    `g` - the Graphics context
    `x` - the x position of the border rectangle
    `y` - the y position of the border rectangle
    `width` - the width of the border rectangle
    `height` - the height of the border rectangle

### drawInRect

    void drawInRect(java.awt.Graphics g,
                    int x,
                    int y,
                    int width,
                    int height)

  Draw the Border within the specified rectangle.

  Parameters:
    `g` - the Graphics context
    `x` - the x position of the border rectangle
    `y` - the y position of the border rectangle
    `width` - the width of the border rectangle
    `height` - the height of the border rectangle

### getBorderWidth

    int getBorderWidth()

  Get the border width.

### getInsets

    java.awt.Insets getInsets(java.awt.Component comp)

  Method to get the Insets of this Border on the specified component.

  Parameters:
    `comp` - the java.awt.Component to draw the border on
  Returns:
    the insets of the border on the specified component

### getInsets

    java.awt.Insets getInsets()

  Method to get the Insets of this Border.

  Returns:
    the insets of the border

### getStyle

    int getStyle()

  Get the style of the Border.

  Returns:
    NONE or DEFAULT or some id set by an implementation

### getLightSource

    int getLightSource()

  Get the Light Source of the Border.

  Returns:
    RAISED or LOWERED or one of the other static lightSource values.

### setBorderWidth

    void setBorderWidth(int width)

  Set the border width.

  Parameters:
    `width` - the new width of the border

### setStyle

    void setStyle(int s)

  Set the style of the Border: NONE or DEFAULT or some id set by a implementation

### setLightSource

    void setLightSource(int ltSrc)

  Set the type of the Border: RAISED or LOWERED

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.